<template>
    <v-container mb-0 px-0 grid-list-md text-xs-center class="maxwidth">
      <v-layout row wrap>
        <v-flex xs12 sm12 md12 class="parent">
          <h2 class="mt-3 text-xs-center">{{ titolosezione }}</h2>
          <h3 :v-if="sottotitolo" class="mb-3 text-xs-center">{{sottotitolo}}</h3>

          
          <img fluid class="img-intestazione" v-bind:src="require('@/assets/IMG/'+ immagine)"/>
            <span class="child"> 
              <v-container grid-list-md text-xs-center class="maxwidth">
                <v-layout row wrap align-center align-content-start>
                    <v-flex v-if="certificato" xs3 md3 sm3 lg3 align-self-start d-flex>
                    <router-link :to="{name:'certificato', params: { stepId, txhash, timestamp, blockheader, type } }">
                      <img class="text-xs-center img-certificato" src='../assets/Icons/Neg/Certificato@2x.png'/>
                    </router-link>
                    </v-flex>
                  <v-flex v-if="certificato" xs4 sm4 md4 lg4 d-flex>
                    {{ $t('certificate')}}
                  </v-flex>                 
                  <v-flex v-if="mappa" d-flex xs2 md2 sm2 lg2 align-self-start>
                        <router-link :to="{name:'mappa'}">
                    <img class="text-xs-center img-certificato" src='../assets/Icons/Neg/Mappa@2x.png'/>
                        </router-link>
                  </v-flex>
                  <v-flex  v-if="mappa" xs2 sm2 md2 lg2 d-flex style="margin-left: 5px">
                    {{ $t('map')}}
                  </v-flex>
                </v-layout>
              </v-container>
          </span>
        </v-flex>
      </v-layout>
    </v-container>

</template>

<script>

export default {
  name: 'intestazione',
  props: {
    titolosezione: String,
    sezionecorrente: Number,
    certificato: Boolean,
    mappa: Boolean,
    immagine: String,
    stepId: String,
    txhash: String,
    timestamp: String,
    blockheader: String,
    type: String,
    sottotitolo: String

  },
  data () {
    return {
      lorem: `Lorem ipsum dolor sit amet, mel at clita quando. Te sit oratio vituperatoribus, nam ad ipsum posidonium mediocritatem, explicari dissentiunt cu mea. Repudiare disputationi vim in, mollis iriure nec cu, alienum argumentum ius ad. Pri eu justo aeque torquatos.`

    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.img-certificato,.img-map{
max-width: 200px;
min-width: 50px;
width: 50%;
}
.titolosezione{
  text-transform: capitalize;
  letter-spacing: 2px;
  font-size: 1.5rem;
  white-space: nowrap;
}
.img-intestazione{
  border-radius: 20px 20px 20px 20px !important;
  width: 100%;
  margin-right: 0px;
  }
.img-intestazione::after {
    content: "";
    display: block;
    position: fixed;
    padding: 100px 0;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    background-color: rgba(black, 0.5);
}
.v-card__text{
  padding: 0px!important;
}

.noshadow{
    -webkit-box-shadow: none!important;
    box-shadow: none!important;
}
.parent {
  position:relative;
}
 
.child {
  color: white;
  position:absolute;
  bottom:1%;
  left:1%;
  width: 100%;
}
.hide{
  display:none;
}
</style>